package com.example.patrice.rerservation01;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class admin_tools extends AppCompatActivity
{

    Button btn_ajouter_jeu, btn_editer_jeu, btn_supprimer_jeu;

    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.admin_tools_layout);

        getSupportActionBar().setTitle("Administration");
        getSupportActionBar().setLogo(R.drawable.settings);
        getSupportActionBar().setDisplayUseLogoEnabled(true);
        getSupportActionBar().setHomeButtonEnabled(true);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        getSupportActionBar().setDisplayShowHomeEnabled(true);

        btn_ajouter_jeu = (Button) findViewById(R.id.btn_ajouter_jeu);
        btn_editer_jeu = (Button) findViewById(R.id.btn_editer_jeu);

        btn_ajouter_jeu.setOnClickListener(new View.OnClickListener()
        {
            public void onClick(View arg0)
            {
                Intent i = new Intent(getApplicationContext(), com.example.patrice.rerservation01.config_options.ajouter_jeu.class);
                startActivity(i);
            }
        });


        btn_editer_jeu.setOnClickListener(new View.OnClickListener()
        {
            public void onClick(View arg0)
            {
                Intent i = new Intent(getApplicationContext(), edition_jeu.class);
                startActivity(i);
            }
        });


    }

    /*************************************************************************/

    // pour le retour - inclus dans l'action bar ( < )
    @Override
    public boolean onOptionsItemSelected(MenuItem item)
    {
        switch (item.getItemId())
        {
            case android.R.id.home:
                this.finish();
                return true;
            default:
                return super.onOptionsItemSelected(item);
        }
    }

    /*************************************************************************/


}